Boomi Agent Garden Design APIs - Sources
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
List All MCP Servers
List all MCP servers with pagination and filtering options.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_VIEW.
Authorizations:
query Parameters
| page | integer (Page) >= 1 Default: 1 Page number to retrieve |
| page_size | integer (Page Size) [ 1 .. 100 ] Default: 100 Number of records per page |
| status | Array of strings (Status) Items Enum: "ACTIVE" "STALE" "DISABLED" Filter by server status |
| search_term | string (Search Term) Filter by a substring match in name or description |
| sort_by | string (Sort By) Default: "last_updated_on" Field to sort by |
| sort_order | string (Sort Order) ^(asc|desc)$ Default: "desc" Sort order (default: desc) |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
PaginationResponse[MCPServerSummaryResponse] (object) or null |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "MCP servers retrieved successfully",
- "data": {
- "total_items": 1,
- "total_pages": 1,
- "current_page": 1,
- "page_size": 100,
- "items": [
- {
- "id": "853490e8-c574-41ac-8d9f-38e49f3860b0",
- "name": "o2c-mcp-source-1",
- "description": "o2c-mcp-source",
- "transport_type": "SSE",
- "status": "ACTIVE",
- "agents_equipped_count": 0,
- "imported_tools_count": 5,
- "created_on": "2026-05-21T08:53:42.285528Z",
- "last_updated_on": "2026-05-21T08:53:42.285528Z"
}
]
}
}Create A New MCP Server
Create a new MCP server and retrieve its tools via MCP list_tools call.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_INSTALL, AGENT_CREATE.
Authorizations:
Request Body schema: application/jsonrequired
| name required | string (Name) Human-readable name which is defined from UI. |
| url required | string (Url) Base connection URL (NOT NULL for SSE/HTTP). |
| transport_type required | string (MCPServerTransportType) Enum: "SSE" "HTTP" How the server communicates. |
Description (string) or Description (null) (Description) Optional server description. | |
Title (string) or Title (null) (Title) UI Intended server title. | |
Array of Headers (objects) or Headers (string) or Headers (null) (Headers) Optional Server Headers. | |
Capabilities (object) or Capabilities (null) (Capabilities) Server capabilities as JSON. | |
Instructions (object) or Instructions (null) (Instructions) Server instructions. | |
MCPServerAuthentication (object) or Authentication (string) or Authentication (null) (Authentication) Authentication configuration for the API endpoint. | |
Array of Tools (objects) or Tools (null) (Tools) Default: [] List of tools names to include from the MCP server. If not specified, all tools will be included. | |
Request Id (string) or Request Id (null) (Request Id) Unique request ID for Oauth. | |
Meta (object) or Meta (null) (Meta) Opaque provenance/metadata blob from the MCP Registry (source id, source name, registry server name/version, provenance, isLatest, updatedAt, repository, icons, ...). Stored as-is. |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
MCPServer (object) or null |
Request samples
- Payload
{- "name": "o2c-mcp-source-1",
- "description": "o2c-mcp-source",
- "transport_type": "SSE",
- "headers": [
- {
- "name": "x-agent-key",
- "static_value": "<your-agent-key>",
- "is_sensitive": false
}
], - "tools": [
- {
- "name": "o2c-mock-server-api-qa--api_getProduct"
}, - {
- "name": "o2c-mock-server-api-qa--api_checkProductAvailability"
}, - {
- "name": "o2c-mock-server-api-qa--api_processPayment"
}, - {
- "name": "o2c-mock-server-api-qa--api_getPayment"
}, - {
- "name": "o2c-mock-server-api-qa--api_refundPayment"
}
]
}Response samples
- 200
- 400
- 401
- 403
- 422
{- "success": true,
- "message": "5 tools for o2c-mcp-source-1 successfully imported.",
- "data": {
- "id": "f5e55d6e-31a3-4d98-945d-817f497193e4",
- "created_on": "2026-06-01T12:21:19.036858Z",
- "last_updated_on": "2026-06-01T12:21:19.036858Z",
- "installed_on": "2026-06-01T12:21:20.920221Z",
- "name": "o2c-mcp-source-1",
- "description": "o2c-mcp-source",
- "title": null,
- "headers": [
- {
- "name": "x-agent-key",
- "static_value": "<key-value>",
- "is_sensitive": false
}
], - "transport_type": "SSE",
- "authentication": null,
- "tools": [ ],
- "status": "ACTIVE",
- "agents_equipped_count": 0,
- "tool_counts": {
- "imported": 5,
- "active": 5,
- "stale": 0,
- "not_available": 0,
- "available": 28
}, - "imported_tools": [
- {
- "id": "994dc325-fcce-4e4c-be5a-1cba1066b267",
- "created_on": "2026-06-01T12:21:20.945618Z",
- "last_updated_on": "2026-06-01T12:21:20.945618Z",
- "installed_on": "2026-06-01T12:21:20.945618Z",
- "name": "o2c-mock-server-api-qa--api_getProduct",
- "old_status": "",
- "new_status": "ACTIVE",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Get product by SKU",
- "description": "Get product by SKU\nRetrieve product details by SKU",
- "input_parameters": null
}, - "new_schema": null
}, - {
- "id": "2a3b3d12-59e7-49ce-b538-ad08ee5b09ff",
- "created_on": "2026-06-01T12:21:20.955342Z",
- "last_updated_on": "2026-06-01T12:21:20.955342Z",
- "installed_on": "2026-06-01T12:21:20.955342Z",
- "name": "o2c-mock-server-api-qa--api_checkProductAvailability",
- "old_status": "",
- "new_status": "ACTIVE",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Check product availability",
- "description": "Check product availability\nCheck if requested quantity of a product is available in stock",
- "input_parameters": null
}, - "new_schema": null
}, - {
- "id": "720d28e5-935c-4b6f-8215-21270bb389c7",
- "created_on": "2026-06-01T12:21:20.957674Z",
- "last_updated_on": "2026-06-01T12:21:20.957674Z",
- "installed_on": "2026-06-01T12:21:20.957674Z",
- "name": "o2c-mock-server-api-qa--api_processPayment",
- "old_status": "",
- "new_status": "ACTIVE",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Process a payment",
- "description": "Process a payment\nProcess payment for an order. Requires order_id and amount.",
- "input_parameters": null
}, - "new_schema": null
}, - {
- "id": "8e4d62fe-3ae1-4398-a157-1d691405df3b",
- "created_on": "2026-06-01T12:21:20.959827Z",
- "last_updated_on": "2026-06-01T12:21:20.959827Z",
- "installed_on": "2026-06-01T12:21:20.959827Z",
- "name": "o2c-mock-server-api-qa--api_getPayment",
- "old_status": "",
- "new_status": "ACTIVE",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Get payment by ID",
- "description": "Get payment by ID\nRetrieve payment details by payment ID",
- "input_parameters": null
}, - "new_schema": null
}, - {
- "id": "7d834ef5-becf-4a04-a769-c965debe4cfa",
- "created_on": "2026-06-01T12:21:20.961823Z",
- "last_updated_on": "2026-06-01T12:21:20.961823Z",
- "installed_on": "2026-06-01T12:21:20.961823Z",
- "name": "o2c-mock-server-api-qa--api_refundPayment",
- "old_status": "",
- "new_status": "ACTIVE",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Refund a payment",
- "description": "Refund a payment\nProcess a full or partial refund for an existing payment",
- "input_parameters": null
}, - "new_schema": null
}
], - "available_tools": [
- {
- "name": "o2c-mock-server-api-qa--api_healthCheck",
- "new_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Health check",
- "description": "Health check\nCheck API health status",
- "input_parameters": [ ]
}
}, - {
- "name": "o2c-mock-server-api-qa--api_OPTIONS--health",
- "new_schema": {
- "title": "o2c-mock-server-api-qa (1.0)",
- "description": "",
- "input_parameters": [ ]
}
}
], - "tool_changes": {
- "to_update": [ ],
- "to_remove": [ ]
}
}
}Get A Specific MCP Server By Id
Retrieve a specific MCP server by its ID.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_VIEW.
Authorizations:
path Parameters
| server_id required | string <uuid> (Server Id) |
query Parameters
| include_tools | boolean (Include Tools) Default: true Include associated tools in response |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
MCPServer (object) or null |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "MCP server retrieved successfully",
- "data": {
- "id": "853490e8-c574-41ac-8d9f-38e49f3860b0",
- "created_on": "2026-05-21T08:53:42.285528Z",
- "last_updated_on": "2026-05-21T08:53:42.285528Z",
- "installed_on": "2026-05-21T08:53:44.885911Z",
- "name": "o2c-mcp-source-1",
- "description": "o2c-mcp-source",
- "title": null,
- "headers": [
- {
- "name": "x-agent-key",
- "static_value": "<your-agent-key>",
- "is_sensitive": false
}
], - "transport_type": "SSE",
- "authentication": null,
- "tools": [ ],
- "status": "ACTIVE",
- "agents_equipped_count": 0,
- "tool_counts": {
- "imported": 5,
- "active": 5,
- "stale": 0,
- "not_available": 0,
- "available": 0
}, - "imported_tools": [
- {
- "id": "54e59137-ecf1-4643-ae45-ee8da3bc0122",
- "name": "o2c-mock-server-api-qa--api_checkProductAvailability",
- "old_status": "ACTIVE",
- "new_status": "",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Check product availability",
- "description": "Check product availability\nCheck if requested quantity of a product is available in stock",
- "input_parameters": null
}, - "new_schema": null
}, - {
- "id": "fe3c7ab4-1152-426d-b18a-22eabfae56e2",
- "name": "o2c-mock-server-api-qa--api_processPayment",
- "old_status": "ACTIVE",
- "new_status": "",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Process a payment",
- "description": "Process a payment\nProcess payment for an order. Requires order_id and amount.",
- "input_parameters": null
}, - "new_schema": null
}, - {
- "id": "50a09cb6-e6ba-4e93-b397-0e09c96dfde1",
- "name": "o2c-mock-server-api-qa--api_refundPayment",
- "old_status": "ACTIVE",
- "new_status": "",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Refund a payment",
- "description": "Refund a payment\nProcess a full or partial refund for an existing payment",
- "input_parameters": null
}, - "new_schema": null
}
], - "available_tools": [ ],
- "tool_changes": {
- "to_update": [ ],
- "to_remove": [ ]
}
}
}Update An Existing MCP Server
Update an existing MCP server with the provided data.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_EDIT.
Authorizations:
path Parameters
| server_id required | string <uuid> (Server Id) |
Request Body schema: application/jsonrequired
| id | string (Id) Unique identifier for the resource. |
| created_on | string <date-time> (Created On) Timestamp when the resource was created. |
| last_updated_on | string <date-time> (Last Updated On) Timestamp when the resource was last updated. |
Installed On (string) or Installed On (null) (Installed On) Timestamp when the resource was last used. | |
Name (string) or Name (null) (Name) Human-readable name which is defined from UI. | |
Description (string) or Description (null) (Description) Optional server description. | |
Url (string) or Url (null) (Url) Base connection URL (NOT NULL for SSE/HTTP). | |
Title (string) or Title (null) (Title) UI Intended server title. | |
Array of Headers (objects) or Headers (string) or Headers (null) (Headers) Optional Server Headers. | |
Capabilities (object) or Capabilities (null) (Capabilities) Server capabilities as JSON. | |
Instructions (object) or Instructions (null) (Instructions) Server instructions. | |
MCPServerTransportType (string) or null Default: "HTTP" How the server communicates. | |
MCPServerAuthentication (object) or MCPServerSecureOAuthAuthentication (object) or Authentication (string) or Authentication (null) (Authentication) Authentication configuration for the API endpoint. | |
Array of Tools (objects) or Tools (null) (Tools) Default: [] List of tools names to include from the MCP server. If not specified, all tools will be included. | |
Request Id (string) or Request Id (null) (Request Id) Unique request ID for Oauth token. | |
Meta (object) or Meta (null) (Meta) Opaque provenance/metadata blob from the MCP Registry (source id, source name, registry server name/version, provenance, isLatest, updatedAt, repository, icons, ...). Stored as-is. | |
MCPServerStatus (string) or null Default: "ACTIVE" Server lifecycle status. | |
| unique_name | string (Unique Name) Unique name of the MCP Server. |
Encrypted Data Key (string) or Encrypted Data Key (null) (Encrypted Data Key) | |
| imported_tools_count | integer (Imported Tools Count) Default: 0 Count of tools imported |
| agents_equipped_count | integer (Agents Equipped Count) Default: 0 Count of agent equipped |
MCPToolCounts (object) or null Count of tools count | |
Array of Imported Tools (objects) or Imported Tools (null) (Imported Tools) Default: [] List of tools names to include from the MCP server. | |
Array of Available Tools (objects) or Available Tools (null) (Available Tools) Default: [] Available tools for MCP | |
MCPServerToolChanges (object) or null Dictionary of tools changes |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
MCPServerSecure (object) or null |
Request samples
- Payload
{- "name": "Order to Customer MCP Server",
- "description": "MCP server exposing order management tools - handles orders, customers, products, payments and notifications",
- "transport_type": "SSE",
- "status": "ACTIVE",
- "headers": [
- {
- "name": "x-agent-key",
- "static_value": "<your-agent-key>",
- "is_sensitive": false
}
], - "tools": [
- {
- "name": "get_order",
- "description": "Retrieve details of a specific order by order ID",
- "title": "Get Order",
- "input_parameters": [
- {
- "name": "order_id",
- "description": "Unique identifier for the order (e.g. ORD-12345)",
- "required": true,
- "type": "string",
- "title": "Order ID",
- "server_default": null,
- "user_default": null
}
]
}, - {
- "name": "create_order",
- "description": "Create a new order for a customer with specified products",
- "title": "Create Order",
- "input_parameters": [
- {
- "name": "customer_id",
- "description": "Unique identifier for the customer placing the order",
- "required": true,
- "type": "string",
- "title": "Customer ID",
- "server_default": null,
- "user_default": null
}, - {
- "name": "items",
- "description": "List of product SKUs and quantities to order",
- "required": true,
- "type": "string",
- "title": "Order Items",
- "server_default": null,
- "user_default": null
}
]
}, - {
- "name": "list_products",
- "description": "List all available products with pricing and inventory",
- "title": "List Products",
- "input_parameters": null
}
]
}Response samples
- 200
- 400
- 401
- 403
- 422
{- "success": true,
- "message": "MCP server Order to Customer MCP Server updated successfully",
- "data": {
- "id": "bcb51e3a-8cbc-474a-ab1b-1fda2a2bbdfa",
- "created_on": "2026-06-01T10:25:01.751837Z",
- "last_updated_on": "2026-06-01T10:26:23.629436Z",
- "installed_on": "2026-06-01T10:25:04.248505Z",
- "name": "Order to Customer MCP Server",
- "description": "MCP server exposing order management tools - handles orders, customers, products, payments and notifications",
- "title": null,
- "headers": [
- {
- "name": "x-agent-key",
- "static_value": "<your-agent-key>",
- "is_sensitive": false
}
], - "transport_type": "SSE",
- "authentication": null,
- "tools": [ ],
- "status": "ACTIVE",
- "agents_equipped_count": 0,
- "tool_counts": {
- "imported": 5,
- "active": 5,
- "stale": 0,
- "not_available": 0,
- "available": 0
}, - "imported_tools": [
- {
- "id": "d5814d6c-c5e3-4c96-b97c-6a516d117306",
- "created_on": "2026-06-01T10:25:04.277730Z",
- "last_updated_on": "2026-06-01T10:25:04.277730Z",
- "installed_on": "2026-06-01T10:25:04.277730Z",
- "name": "o2c-mock-server-api-qa--api_getProduct",
- "old_status": "",
- "new_status": "ACTIVE",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Get product by SKU",
- "description": "Get product by SKU\nRetrieve product details by SKU",
- "input_parameters": null
}, - "new_schema": null
}, - {
- "id": "910bface-68be-4b59-b2d3-efae1cd44f86",
- "created_on": "2026-06-01T10:25:04.289429Z",
- "last_updated_on": "2026-06-01T10:25:04.289429Z",
- "installed_on": "2026-06-01T10:25:04.289429Z",
- "name": "o2c-mock-server-api-qa--api_checkProductAvailability",
- "old_status": "",
- "new_status": "ACTIVE",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Check product availability",
- "description": "Check product availability\nCheck if requested quantity of a product is available in stock",
- "input_parameters": null
}, - "new_schema": null
}, - {
- "id": "2e86f80e-a44d-49c7-91a0-01b5178a69e0",
- "created_on": "2026-06-01T10:25:04.291934Z",
- "last_updated_on": "2026-06-01T10:25:04.291934Z",
- "installed_on": "2026-06-01T10:25:04.291934Z",
- "name": "o2c-mock-server-api-qa--api_processPayment",
- "old_status": "",
- "new_status": "ACTIVE",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Process a payment",
- "description": "Process a payment\nProcess payment for an order. Requires order_id and amount.",
- "input_parameters": null
}, - "new_schema": null
}, - {
- "id": "30f0fcc5-42fa-4de1-9495-f83241dfe026",
- "created_on": "2026-06-01T10:25:04.296803Z",
- "last_updated_on": "2026-06-01T10:25:04.296803Z",
- "installed_on": "2026-06-01T10:25:04.296803Z",
- "name": "o2c-mock-server-api-qa--api_getPayment",
- "old_status": "",
- "new_status": "ACTIVE",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Get payment by ID",
- "description": "Get payment by ID\nRetrieve payment details by payment ID",
- "input_parameters": null
}, - "new_schema": null
}, - {
- "id": "2249b151-a6e7-426d-bf2a-cf855af6e2e2",
- "created_on": "2026-06-01T10:25:04.299378Z",
- "last_updated_on": "2026-06-01T10:25:04.299378Z",
- "installed_on": "2026-06-01T10:25:04.299378Z",
- "name": "o2c-mock-server-api-qa--api_refundPayment",
- "old_status": "",
- "new_status": "ACTIVE",
- "old_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Refund a payment",
- "description": "Refund a payment\nProcess a full or partial refund for an existing payment",
- "input_parameters": null
}, - "new_schema": null
}
], - "available_tools": [
- {
- "name": "o2c-mock-server-api-qa--api_healthCheck",
- "new_schema": {
- "title": "o2c-mock-server-api-qa (1.0) - Health check",
- "description": "Health check\nCheck API health status",
- "input_parameters": [ ]
}
}
], - "tool_changes": {
- "to_update": [ ],
- "to_remove": [ ]
}
}
}Delete An Existing MCP Server
Perform a soft delete on an MCP server by updating its is_deleted flag to True.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_DELETE.
Authorizations:
path Parameters
| server_id required | string <uuid> (Server Id) |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
MCPServer (object) or null |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "MCP server deleted successfully",
- "data": null
}Discover Tools From MCP Server
Connect to MCP server and discover available tools with their input parameters.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_CREATE.
Authorizations:
Request Body schema: application/jsonrequired
| name required | string (Name) Human-readable name which is defined from UI. |
| url required | string (Url) Base connection URL (NOT NULL for SSE/HTTP). |
| transport_type required | string (MCPServerTransportType) Enum: "SSE" "HTTP" How the server communicates. |
Description (string) or Description (null) (Description) Optional server description. | |
Title (string) or Title (null) (Title) UI Intended server title. | |
Array of Headers (objects) or Headers (string) or Headers (null) (Headers) Optional Server Headers. | |
Capabilities (object) or Capabilities (null) (Capabilities) Server capabilities as JSON. | |
Instructions (object) or Instructions (null) (Instructions) Server instructions. | |
MCPServerAuthentication (object) or Authentication (string) or Authentication (null) (Authentication) Authentication configuration for the API endpoint. | |
Array of Tools (objects) or Tools (null) (Tools) Default: [] List of tools names to include from the MCP server. If not specified, all tools will be included. | |
Request Id (string) or Request Id (null) (Request Id) Unique request ID for Oauth. | |
Meta (object) or Meta (null) (Meta) Opaque provenance/metadata blob from the MCP Registry (source id, source name, registry server name/version, provenance, isLatest, updatedAt, repository, icons, ...). Stored as-is. |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
Array of Data (objects) or Data (null) (Data) |
Request samples
- Payload
{- "name": "o2c-mcp-source-1",
- "description": "MCP server hosted inside boomi",
- "transport_type": "SSE",
- "headers": [
- {
- "name": "x-agent-key",
- "static_value": "<agent-key-here>",
- "is_sensitive": false
}
]
}Response samples
- 200
- 400
- 401
- 403
- 422
{- "success": true,
- "message": "Discovered tools successfully updated.",
- "data": [
- {
- "name": "o2c-mock-server-api-qa--api_healthCheck",
- "description": "Health check\nCheck API health status",
- "title": "o2c-mock-server-api-qa (1.0) - Health check",
- "input_parameters": [ ]
}, - {
- "name": "o2c-mock-server-api-qa--api_getProduct",
- "description": "Get product by SKU\nRetrieve product details by SKU",
- "title": "o2c-mock-server-api-qa (1.0) - Get product by SKU",
- "input_parameters": [ ]
}, - {
- "name": "o2c-mock-server-api-qa--api_checkProductAvailability",
- "description": "Check product availability\nCheck if requested quantity of a product is available in stock",
- "title": "o2c-mock-server-api-qa (1.0) - Check product availability",
- "input_parameters": [ ]
}, - {
- "name": "o2c-mock-server-api-qa--api_processPayment",
- "description": "Process a payment\nProcess payment for an order. Requires order_id and amount.",
- "title": "o2c-mock-server-api-qa (1.0) - Process a payment",
- "input_parameters": [ ]
}, - {
- "name": "o2c-mock-server-api-qa--api_refundPayment",
- "description": "Refund a payment\nProcess a full or partial refund for an existing payment",
- "title": "o2c-mock-server-api-qa (1.0) - Refund a payment",
- "input_parameters": [ ]
}
]
}List All Sources
Retrieve a paginated list of source_builders with optional filters and sorting.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_VIEW, AGENT_CREATE.
Authorizations:
query Parameters
| page | integer (Page) >= 1 Default: 1 Page number to retrieve |
| page_size | integer (Page Size) [ 1 .. 100 ] Default: 100 Number of records per page |
| source_type | Array of strings (Source Type) Items Enum: "MCPServer" "acp_source" "Application" Filter by source type |
| source_status | Array of strings (Source Status) Items Enum: "DRAFT" "ACTIVE" "DISABLED" "STALE" "NOT_AVAILABLE" Filter by source status |
| search_term | string (Search Term) Filter by a substring match in name or description |
| sort_by | string (Sort By) Default: "last_updated_on" Field to sort by |
| sort_order | string (Sort Order) ^(asc|desc)$ Default: "desc" Sort order (default: desc) |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
PaginationResponse[SourceSummaryResponse] (object) or null |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Sources retrieved successfully",
- "data": {
- "total_items": 19,
- "total_pages": 1,
- "current_page": 1,
- "page_size": 100,
- "items": [
- {
- "id": "853490e8-c574-41ac-8d9f-38e49f3860b0",
- "created_on": "2026-05-21T08:53:42.285528Z",
- "last_updated_on": "2026-06-01T12:51:36.846848Z",
- "installed_on": null,
- "name": "o2c-mcp-source-1",
- "description": "o2c-mcp-source",
- "type": "MCPServer",
- "status": "STALE",
- "agents_equipped": 2,
- "imported_tools_count": 5,
- "application_icon": null,
- "application_name": "o2c-mcp-source-1"
}, - {
- "id": "f5e55d6e-31a3-4d98-945d-817f497193e4",
- "created_on": "2026-06-01T12:21:19.036858Z",
- "last_updated_on": "2026-06-01T12:21:19.036858Z",
- "installed_on": null,
- "name": "o2c-mcp-source-1",
- "description": "o2c-mcp-source",
- "type": "MCPServer",
- "status": "ACTIVE",
- "agents_equipped": 0,
- "imported_tools_count": 4,
- "application_icon": null,
- "application_name": "o2c-mcp-source-1"
}
]
}
}Get A Specific Application Source By Id
Retrieve detailed information about a specific Application/Fabric source.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_VIEW.
Authorizations:
path Parameters
| source_id required | string <uuid> (Source Id) The unique identifier of the application source to retrieve |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
SystemFabricSourceDetailResponse (object) or null |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Application source retrieved successfully",
- "data": {
- "id": "26c6f3d8-8d0f-4af0-8f73-ab0bf8594b92",
- "created_on": "2026-04-28T08:37:24.682277Z",
- "last_updated_on": "2026-04-28T08:37:24.682277Z",
- "installed_on": null,
- "name": "Gmail",
- "description": "Google's email service",
- "application_name": "gmail",
- "application_icon": "PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjUyIDQyIDg4IDY2Ij4NCjxwYXRoIGZpbGw9IiM0Mjg1ZjQiIGQ9Ik01OCAxMDhoMTRWNzRMNTIgNTl2NDNjMCAzLjMyIDIuNjkgNiA2IDYiLz4NCjxwYXRoIGZpbGw9IiMzNGE4NTMiIGQ9Ik0xMjAgMTA4aDE0YzMuMzIgMCA2LTIuNjkgNi02VjU5bC0yMCAxNSIvPg0KPHBhdGggZmlsbD0iI2ZiYmMwNCIgZD0iTTEyMCA0OHYyNmwyMC0xNXYtOGMwLTcuNDItOC40Ny0xMS42NS0xNC40LTcuMiIvPg0KPHBhdGggZmlsbD0iI2VhNDMzNSIgZD0iTTcyIDc0VjQ4bDI0IDE4IDI0LTE4djI2TDk2IDkyIi8+DQo8cGF0aCBmaWxsPSIjYzUyMjFmIiBkPSJNNTIgNTF2OGwyMCAxNVY0OGwtNS42LTQuMmMtNS45NC00LjQ1LTE0LjQtLjIyLTE0LjQgNy4yIi8+DQo8L3N2Zz4=",
- "status": "ACTIVE",
- "agents_equipped_count": 0,
- "tool_counts": {
- "imported": 3,
- "active": 3,
- "disabled": 0,
- "not_available": 0
}, - "imported_tools": [
- {
- "id": "62aa6279-6c8b-43dd-84ab-6d91bcceea0a",
- "created_on": "2026-04-28T08:37:24.684234Z",
- "last_updated_on": "2026-04-28T08:37:24.684234Z",
- "installed_on": "2026-04-28T08:37:24.684234Z",
- "name": "Create Label",
- "description": "Create a new label in Gmail",
- "tool_status": "ACTIVE"
}, - {
- "id": "1d89698e-5057-4cf3-82ec-6cf285062346",
- "created_on": "2026-04-28T08:37:24.684234Z",
- "last_updated_on": "2026-04-28T08:37:24.684234Z",
- "installed_on": "2026-04-28T08:37:24.684234Z",
- "name": "Create Task",
- "description": "Create a new task in Gmail",
- "tool_status": "ACTIVE"
}, - {
- "id": "ff659ceb-30e7-4ab2-9405-f7ee9b8866e0",
- "created_on": "2026-04-28T08:37:24.684234Z",
- "last_updated_on": "2026-04-28T08:37:24.684234Z",
- "installed_on": "2026-04-28T08:37:24.684234Z",
- "name": "Send Email",
- "description": "Send an email via Gmail",
- "tool_status": "ACTIVE"
}
], - "fabric_application_id": "gmail"
}
}